Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.model.workflow
Interface DataItem

All Superinterfaces:
  java.lang.Comparable, DataItemRef

public interface DataItem
extends DataItemRef

The `DataItem` interface is an extension of a `DataItemRef` interface and provides access to all aspects of a User Defined Attribute (UDA) within a process instance.

UDA are variables of a process instance. They can be added to a process definition at design-time. When a new process instance is created from its definition, the UDAs are copied and stored as `DataItem` objects within the process instance. UDAs are global to the process instance, so any node can access them.

A distinction is made between UDAs and external data. UDAs are usually only the data that must be derived during the execution of a process instance or which are used to make decisions within the process instance.

When developing forms for data entry, both external process data and UDAs can exist on the same form. This is to ensure that the developer does not have to needlessly move data in and out of a process instance. This may have performance impacts.

In cases where it is necessary to move data in or out of a process instance, the Server Enactment Context API (`ServerEnactmentContext.java`) can be used in a `JavaAction` to provide an external system access to workflow data. This method can be used to manipulate or modify the external data with UDAs.

See Also:
  `ProcessInstance`, `ServerEnactmentContext`

Field Summary

Fields inherited from interface com.fujitsu.iflow.model.workflow.DataItemRef
`MAX_AGGREGATES_NAME_LENGTH, MAX_CUBE_NAME_LENGTH, MAX_DATA_REF_NAME_LENGTH, TYPE_BIGDECIMAL, TYPE_BOOLEAN, TYPE_DATE, TYPE_FLOAT, TYPE_INTEGER, TYPE_LONG, TYPE_STRING`

Methods inherited from interface com.fujitsu.iflow.model.workflow.DataItemRef
`getAggregates, getCubeNames, getDimension, getExtendedAttributes, getMeasure, getName, getType, getValue, isReadOnly, isUdaTracking, isWorkListUDA, markAsReadOnly, markAsWorkListUDA, markUdaTracking, setAggregates, setCubeNames, setDimension, setExtendedAttributes, setMeasure, setName, setType, setValue`

Methods inherited from interface java.lang.Comparable
`compareTo`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD